import xml.dom.minidom

class ShipConfiguration:
    def __init__(self, filename="ship.xml"):
        doc = xml.dom.minidom.parse(filename)

        self.gauges = {}

        for element in doc.getElementsByTagName("gauge"):
            print element.nodeName

if __name__ == "__main__":
    ShipConfiguration()

